com.salesforce.datacloud.jdbc.internal

## Class TemporaryBuffers

- java.lang.Object
- - com.salesforce.datacloud.jdbc.internal.TemporaryBuffers

    public final class TemporaryBuffers
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static char[]` `chars(int len)` A `ThreadLocal` `char[]` of size `len`.
`static void` `clearChars()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### chars

    public static char[] chars(int len)

A `ThreadLocal` `char[]` of size `len`. Take care when using a large value of `len` as this buffer will remain for the lifetime of the thread. The returned buffer will not be zeroed and may be larger than the requested size, you must make sure to fill the entire content to the desired value and set the length explicitly when converting to a `String`.

#### clearChars

    public static void clearChars()